Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.servlet
Class ConnectionPool.Connection

    java.lang.Object
      php.java.servlet.ConnectionPool.Connection

Enclosing class:
  ConnectionPool

    public final class ConnectionPool.Connection

extends java.lang.Object

Represents the connection kept by the pool.

Author:
  jostb

Method Summary
`java.io.InputStream` | `getInputStream()` Returns the InputStream associated with this connection.
`java.io.OutputStream` | `getOutputStream()` Returns the OutputStream associated with this connection.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getOutputStream

    public java.io.OutputStream getOutputStream()
                                         throws ConnectionPool.ConnectionException

  Returns the OutputStream associated with this connection.

  Returns:
    The output stream.
  Throws:
    `java.io.IOException`
    `ConnectionPool.ConnectionException`

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws ConnectionPool.ConnectionException

  Returns the InputStream associated with this connection.

  Returns:
    The input stream.
  Throws:
    `java.io.IOException`
    `ConnectionPool.ConnectionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD